Cevapla
 
Konu Araçları
Eski 15-05-12, 23:42 #41
Kıvanç Kıvanç çevrimdışı
Arrow Eğer programlarınız çok yavaş iniyorsa kaynak listesini değiştirebilirsiniz.


Merhaba,

Eğer programlarınız çok yavaş iniyorsa kaynak listesini Hollanda'daki yansılarla değiştirebilirsiniz:

Öncelikle her değişiklikten önce yapmamız gerektiği gibi listenin bir kopyasını almalıyız.


Kod:
sudo cp /etc/apt/sources.list /etc/apt/sources.list.backup

Listeyi geditle açın.

Kod:
sudo gedit /etc/apt/sources.list
ve aşağıdakileri kopyalayın:

Kod:
#deb cdrom:[Ubuntu 12.04 LTS _Precise Pangolin_ - Release i386 (20120423)]/ precise main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://nl.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://nl.archive.ubuntu.com/ubuntu/ precise-updates main restricted
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://nl.archive.ubuntu.com/ubuntu/ precise universe
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise universe
deb http://nl.archive.ubuntu.com/ubuntu/ precise-updates universe
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://nl.archive.ubuntu.com/ubuntu/ precise multiverse
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://nl.archive.ubuntu.com/ubuntu/ precise-updates multiverse
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://nl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://nl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu precise-security main restricted
deb-src http://security.ubuntu.com/ubuntu precise-security main restricted
deb http://security.ubuntu.com/ubuntu precise-security universe
deb-src http://security.ubuntu.com/ubuntu precise-security universe
deb http://security.ubuntu.com/ubuntu precise-security multiverse
deb-src http://security.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu precise partner
deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main
Eğer sorun olursa yedeğini aldığımız dosyadakileri direkt kopyalarsınız. İsteyen sondan ikinci bölümdeki kaynakları # işretiyle çıkarabilir. Ben sonradan yorum işaretini silerek ekledim.




kaynak : ubuntu-tr




__________________

Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:44 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 17-05-12, 17:00 #42
kralkose kralkose çevrimdışı
Alarm ne kurmalıyım.. yardım edın.....


oncelıkle ıyı gunler dılıyorum... bende 2002 den kalma bır bılgısayar var kullanmadıgım... linux tabanlı işletim sistemlerini merak ettiğim için onu kur mak ıstıyorum.. bılgısayarımın ozellıklerı

256 mb ram
128 mb ekran kartı
20 gb hdd


buna linux un hangi sürümünü kurmalıyım hepınızden yarıdm beklıyorum.. ve sızce linux un en ıyı ısletım sıstemı nedır ubuntu mudur
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 17-05-12, 17:20 #43
Kıvanç Kıvanç çevrimdışı
Varsayılan C: ne kurmalıyım.. yardım edın.....


Alıntı:
Gerçek Mesajı Gönderen kralkose Mesajı Göster
oncelıkle ıyı gunler dılıyorum... bende 2002 den kalma bır bılgısayar var kullanmadıgım... linux tabanlı işletim sistemlerini merak ettiğim için onu kur mak ıstıyorum.. bılgısayarımın ozellıklerı

256 mb ram
128 mb ekran kartı
20 gb hdd


buna linux un hangi sürümünü kurmalıyım hepınızden yarıdm beklıyorum.. ve sızce linux un en ıyı ısletım sıstemı nedır ubuntu mudur
2002 den kalma bilgisayar için denenmeden pek bir şey denilmez. Pardus 2006 falan denemeniz gerekir veya çok eskiden duyduğum çok hafif bir sistem var şöyle bir kaynak buldum bir göz atın.

Alıntı:
VECTORLINUX KURULUMU

Not 1: Eğer windows bölümünün (C:\) içinde fazladan boş alanınız varsa veri kaybı olmaksızın yükleme yapabilirsiniz.

Not 2: Bölümleme yapabilmek için windows ve DOS altında kullanılan grafik arayüzlü programlar vardır. Bu programlardan "Partition Magic" bir çok dosya formatını desteklemektedir. Ayrıca "Ranish Partition Manager" (http://come.to/ranish) önerebileceğim serbest dağıtılan bir programdır.
Burada "fips20.exe" ve Linux altındaki "fdisk" ile bölümleme örneklerle yapılıp anlatılacaktır.

Kuruluma Hazırlık :

1: "C:\veclinux" dizini oluşturun.

2: İki tane 1.44 lük diskete gereksiniminiz var.

3: "C:\" yi scandisk.exe ile kontrol edin.

4: Defrag.exe yi (disk birleştirici) çalıştırın. Defrag tüm verilerinizi diskin ön bölümüne taşır. Bunu muhakkak yapın bilgi kaybını önlemiş olursunuz.

5: Birinci disketinizi disket sürücünüze takarak windows altında (c:\denetim masası\program ekle kaldır\başlangıç disketi) bir başalangıç disketi oluşturun.

6: İkinci disketinizi disket sürücünüze takarak sistem dosyalarını diskete kopyalayın. Bunun için Dos komut satırından "C:\format a:/s" komutunu kullanabilirsiniz. Eğer windows milenyum kullanıyorsanız bu komut hata verecektir. Bunun yerine c:\windows altındaki command.com isimli dosyayı diskete kaydedin.

7: Aşağıdaki adreslerin birinden "veclinux.bz2" ve "veclinux.zip" dosyalarını indirin. veclinux.zip dosyasını açarak içinden çıkan bütün dosyaları daha önceden oluşturduğunuz "C:\veclinux" dizinine "veclinux.bz2" dosyası ile birlikte kaydedin.

http://vectorlinux.50megs.com
http://ftp.ibiblio.org
http://www.ibiblio.org

ibilio.org adresinde veclinux-2.0 dizini altında iki tane sürüm var. Bunlar:
Veclinux-XF3.3.6 : 386/486 sistemler için
Veclinux-XF4.1 : 586 ve pentium sistemler için

8: "C:\veclinux\dostools\fips20\" dizini içindeki beş dosyayı ikinci oluşturduğunuz ve içinde command.com olan disketin içine kaydedin.

fips.exe
restorrb.exe
fips.fag
fips.doc
errors.txt

Not 3: VectorLinux en az 300 MB lık bir alana ihtiyaç duymaktadır.
EXT2 bölümü için 250 MB
SWAP (takas alanı) için 50 MB
Harddiskinizde yeterli boş alan varsa daha fazla yer ayırabilirsiniz. Swap alanı için tavsiye edilen RAM inizin 2 katı kadar alan ayırmaktır.

Not 4: Eğer fips.doc (ingilizce) dosyasını okursanız daha detaylı bilgi alabilirsiniz.
DOS ve windows da harddiskler C:\ ve D:\ olarak adlandırılır.
Linux da ise dosya sistemleri ile çağrılır. Yani harddiskele "/dev/hda1" ve "/dev/hda2" veya "/dev/hdb2" vb şekilde adlandırılırlar.
DOS ve windows içinde genellikle C:\ olan bu ilk bölüm, linux da "/dev/hda1" olarak adlandırılır.
Biz burada Linux sun "ext2" bölümünü içeren "/dev/hda2" yi oluşturmak istiyoruz.
Şimdi bölümleri ayırmanın ana adımı için hazırsınız.

9: Windows başlangıç disketi ile bilgisayarınızı DOS ortamında yeniden başlatın.
Oluşturduğunuz ikinci disketi disket sürücüye takın. Burada amaç "C:\" yi iki bölüme ayırmaktır. Birincisi sizin orjinal bölümünüz "C:\" olacaktır. İkinci bölümünüz "ext2" bölümü olacak olan yeni ayrılmış bilinmeyen bölüm "/dev/hda2" olacaktır.

10: A:\>fips yazıp enter tuşuna basın. Program "Partition table inconsistend" gibi bir hata mesajı verirse bu mesajı es geçin. Fips bir yerde takılıp kalırsa windowsun takas dosyasını (swapfile) (c:\windows\win386.swp) silmeniz gerekir.
Fipsden istediğiniz anda [Ctrl]+[Alt]+[Delete] tuş kombinasyonu ile çıkabilirsiniz.

11: Fip bazı ön bilgilerini verdikten sonra "Pres any Key" yazısı çıkar. Burada enter tusuna basarak geçin.

Do you want to make a bakup copy of root and boot sector before proceeding (y/n)? y ye basın.
Do you have a bootable fllopy disk in drive A: as described in the documention (y/n)? y ye basın. (Burada fips disketinin disket sürücüde olduğuna emin olun)

Fips burada birkaç işlem yaptıktan sonra "Old Partition" "Cylinder" "New Partition" şeklinde bir satır çıkartır.

Old Partition : Windowsun olduğu ve o ana dek kullandığınız bölümdür.
New Partition : Linux için oluşturulacak yeni bölümü ifade eder. Bu alan vectorlinux için en az 300mb, eğer yeriniz varsa daha fazla alan girebilirsiniz.

Yön tuşları ile (sağ o) "new partition" büyüklüğünü ayarlayabilirsiniz. Mantıklı bir değer girdikten sonra enter tuşu ile onaylayın.

Do you want to continue or reedit the partitin table (c/r)? c yazarak devam edin.

Do you want to proceed sorusuna "Y" ile cevap verin.

Disketi çıkartıp [Ctrl]+[Alt]+[Delete] tuş kombinasyonu ile bilgisayarı yeniden başlatın. Bilgisayar açılırken DOS ortamında açılmalı. Bunun için windows başlangıç disketi disket sürücüsünde olmalı.

12: A:\>fdisk yazıp enter tuşuna basın. Sorduğu soruyu [E] ile yanıtlayıp geçin.
"Fdisk Seçenekleri Menüsünden"
[3] 'ü "Bölüm veya mantıksal dos sürücüsünü sil" seçin ve enter tuşuna basın.
[1]'i "Birinci dos bölümünü sil" seçin ve enter tuşuna basarak geçin.
Burada "Birinci Dos Bölümünü Sil" penceresi gelir. Silinecek bölüm az önce "fips" ile yarattığımız alandır. "Sitem" sütununda "UNKNOWN" olarak gözükür.
Yanıp sönen "UYARI" satırına silinecek olan alanın numarasını girin.
Burada [2] olmalı ve enter tuşuna basın.
"Birim Adını Girin" alanını boş bırakarak enter tuşuna basın.
[E] tuşuyla her şeyi kabul ettiğinizi belirtip enter tuşuyla onaylayın.
Bir kaç defa (üç kez) "Esc" tuşuna basarak "fdisk" penceresinden çıkın. Ctrl]+[Alt]+[Delete] tuş kombinasyonu ile bilgisayarı yeniden DOS ortamında başlatın.

Kurulum :

1: Şimdi VectorLinux kurulumuna başlayabiliriz.
A:\c: "enter"
C:\>cd veclinux "enter"
C:.\veclinux>ram.bat yazıp enter tuşuna basın.

"Welcome to Vector-Linux Install" penceresi gelir.
Burada kullanacağınız klavye tipini girmenizi ister. Öntanımlı olarak "USA" gelir.
"Enter a number!" yazan yerde enter tuşuna basarak geçin.

"Please type setup to continue#root "yazıp enter ile onaylayın"

2: Burada kullandığım harddiske göre "ext2" ve "swap" için ne kadar yer ayırdığımı örneklerle açıklayacağım.

Harddisk : 3.2 GB Quantum
621 MB : Dos alanı için
2355 MB : Linux alanı (ext2)
300 MB : Linux swap (takas alanı)

Şimdi Linux'un kullanacağı "ext2" ve "swap" alanını oluşturacağız. Bunun için

#fdisk "yazıp enter tusuna basın"
Using /dev/hda as default device!

Command (m foe help):m "yazıp enter tuşuna basın"
Commant action

a açılış flamasını indirir/kaldırır
b bsd disk etiketini düzenler
c dos uyumluluk flamasını indirir/kaldırır
d bir disk bölümünü siler
l bilinen disk bölümlerini listeler
m bu mönüyü gösterir
n yeni bir disk bölümü ekler
o yeni bir DOS disk bölümü oluşturur
p disk bölümleme tablosunu gösteriri
q değişiklikleri kaydetmeden çıkar
s yeni bir sun disk etiketi oluşturur
t disk bölümünün sistem kimliğini değiştirir
u gösterme girdi birimini değiştirir
v disk bölümleme tablosunu doğrular
w tabloyu diskteki yerine yazar ve çıkar
x fazladan işlevsellik (uzmanlar için)
Burada kullanacağımız komutlar sadece koyu ile yazılan komutlardır.

Command (m for help) : p "yazıp enter tusuna basın"

Disk /dev/hda : 128 heads, 63 sector, 782 cylinders
Units = cylinders of 8064 *512 bytes

Device Boot Start End Blocks Id System
/dev/hda * 1 152 612832+ c Wi95 FAT32
"p" komutu ile o anda mevcut olan diskimizin bölümleme tablosunu görmüş olduk.

Command (m for help) : n "yazıp enter tusuna basın"
Command action
e extended
p primary partition(1-4)
p "yazıp entr tuşuna basın"
Partition number (1-4): 2 "yazıp enter tuşuna basın"
First cylinder (153-782, default 153): 153
Last cylinder or +size or +sizeM or +sizeK (153-782, default 782): +2355M

"n" komutu ile yeni bir bölüm yarattık. (e gelişmiş, p temel bölüm) Temel bölüm için "p" yazdık. Daha sonra hangi bölümü yaratacağımızı sordu. Halen mevcut olan 1. bölüm var. Yaratacağımız bölüm ikinci bölüm olacak "2" yazıp enter tusuna bastık. Başlangıç silindiri otomatik gelir. 153 yazıp enter tuşuna bastık veya yazmadan direk enter tuşuna basabiliriz. Ext2 için 2355MB yer ayırdığımdan "+2355M" yazıp enter tuşuna bastım.

Command (m for help) : p "yazıp enter tusuna basın"

İncelemek için "p" yazıp enter tusuna basbilirsiniz.

Command (m for help) : n
Command action
e extended
p primary partition(1-4)
p "yazıp entr tuşuna basın"
Partition number (1-4): 3 "yazıp enter tuşuna basın"
First cylinder (720-782, default 720): 720
Last cylinder or +size or +sizeM or +sizeK (153-782, default 782): 782

"n" komutu ile yeni bir bölüm daha yarattık. Temel bölüm için "p" yazdık. Yaratacağımız bölüm üçüncü bölüm olacağı için "3" yazdık. Başlangıç silindiri otomatik gelir. 720 yazıp ente bastık. Bitiş silindiri için ise kalan son alanın tamamını kullanmak için 782 yazıp enter tuşuna bastık.

Command (m for help) : p "yazıp enter tusuna basın"

Disk /dev/hda : 128 heads, 63 sector, 782 cylinders
Units = cylinders of 8064 *512 bytes

Device Boot Start End Blocks Id System
/dev/hda1 * 1 152 612832+ c Win95 FAT32 (LBA)
/dev/hda2 153 719 2286144 83 Linux
/dev/hda3 720 782 254016 83 Linux
Linux da "ext2" ve "swap" alanı için ayrılan alanların "Id" numaraları eşit olamaz.
Bunun için "t" komutu ile "/dev/hda3" ün "Id" numarasını değiştiriyoruz. "/dev/hda3" ü değiştirmemizin nedeni (swap) takas alanı olarak atamamız gereken yer olduğu için.

Command (m for help): t
Partition number (1-4): 3
Hex code (type L to list codes): 82
Changed system type of partition 3 to 82 (Linux swap)

"t" ile "Id" numarasını değiştireceğimizi bildiriyoruz. 3 ile 3. alanın Id numarasını değiştireceğimizi bildiriyoruz. 82 ile de "/dev/hda3" ün "Id" numarasını 82 olarak atıyoruz.

Command (m for help) : p "yazıp enter tusuna basın"

Disk /dev/hda : 128 heads, 63 sector, 782 cylinders
Units = cylinders of 8064 *512 bytes


Device Boot Start End Blocks Id System
/dev/hda1 * 1 152 612832+ c Win95 FAT32 (LBA)
/dev/hda2 153 719 2286144 83 Linux
/dev/hda3 720 782 254016 82 Linux swap
Command (m for help) : w "yazıp enter tusuna basın"
The partition table has been altered!

Calling ioctl() to re-read partition table
Scaning disk.
...

Diske oluşturduğunuz bilgilerini yazmak için "w" komutunu verin. Bir süre işlem yaptıktan sonra diskinize oluşturduğunuz bilgiler yazılacak ve "fdisk" penceresinden çıkılacaktır. Artık diskinizi Linux un kullanacağı şekilde ayırmış oldunuz bundan sonra vectorlinux kurulumuna başlayabilirsiniz.

3: #setup "yazıp enter tusuna basın"
"Searc for installation file" penceresi gelecektir. Burada "veclinux.bz2" dosyasını arayacaktır.
<YES> ikonuna basın. Bir süre işlem yaptıktan sonra:

Found the source partition
I found on vfat partition on /dev/hda1 with veclinux.bz2.
Is that the one you want to use?
Veclinux.bz2 dosyasını vfat dosya sistemi ile birlikte /dev/hda1 üzerinde buldum.
Kullanmak istiyor musun? gibisinden bir mesaj penceresi gelir.

<YES> ikonuna basın.

Select the Linux target partision
Please enter the tarhet partition to install Vector Linux. It sholud be a name like /dev/hdb1 /dev/hdb2. Please include the "/dev/" part in your entry. The possible Linux target partition are:
/dev/hda2
Please enter your choice do not forget the "/dev/" part ie /dev/hda2.
Linux hedef bölümünü seç
Vectorlinux kurmak için hedef bölümü girin. İsmi /dev/hdb1 /dev/hdb2 gibi olmalıdır.
Girdiğiniz bölüm muhakkak "/dev/" içermelidir.
Mümkün linux hedef bölümleri:
/dev/hda2
Lütfen seçiminizi girin "/dev/" i ve /dev/hda2 yi unutmayın.

Boşluk olan yere
/dev/hda2 yazıp
<OK> ikonuna basın

Select the linux swap partition
Please enter the linux swap partition you would like to use
It shoul be an entry like /dev/hda4 /dev/hdb4 etc
Please include the "/dev/" part in your entry.
These are your avialable linuz swap partition:
/dev/hda3
If you do not want to use a swap partition then hit the [esc] key or select cancel
Linux takas alanını seç

Boşluk alana
/dev/hda3 yazıp
<OK> ikonuna basın.

Check Veclinux.bz2 for errors
Do you want to check veclinux.bz2 file for errors, If there are any errors there's no point installing it.
This will take a few seconds, it should say OK if there are no errors.
You sholud check veclinux.bz2 unless you're sure it's alright.
Check veclinux.bz2 for errors?:
<YES> <NO>

Checking: bzip2 -tv /mnt/loop/veclinux/veclinux.bz2:

<YES> ikonuna basın.
bir süre işlem yaptıktan sonra hata vermezse diğer pencereye geçecektir. veclinux.bz2 yi c:\veclinux altına kaydettiyseniz -ki basta öyle yapmıştık- bir hata almazsınız.

LAST CHANGE
You can chose to abort the install here.
You chose /dev/hda2 us the linux partition, anything on it will be deleted. Do yuo wish to continue?
<YES> <NO>

<YES> ikonna basın

Press Enter to continue: enter tuşuna basarsanız vectorlinux kurulumuna başlayacaktır.

......

Kurulum bittikten sonra:

Vector-Linux Configuration
Now that Vector-Linux has been succesfuly installed we need to run some basic configuration utility programs.
Do you wish to run the Vector-Linux Configure menu?
<YES> <NO>
<YES> ikonuna basarak Vector-Linux un donanım ayarları ile ilgili pencereye gelin.

Vector - Linux Setup (version 1.0)
SETCOM Modem ve fareyi buradan ayaralayabilirsiniz
KEYMAP Klavye ayarlarının yapıldığı yerdir
CDSET CDRom ayarlarının yapıldığı yerdir
LILO Lilo ayarlarının yapıldığı yerdir. Farklı işletim sistemleri arasında açılış sırasında seçim yapmanızı sağlar.
NETWORK Networ ayarlarının yapıldığı yerdir.
SND Ses kartının ayarlandığı yerdir. Ses kartınızı buradan kolaylıkla ayarlayabilirsiniz. RedHat'ın ses kart ayarları penceresi kullanılarak kolaylık sağlanmıştır.
TEXTX X Window un ayarlandığı yerdir. Komsol ekranında ayarlama yapılabilir.
PPPSET Modem ayarları ve internet bağlantısı için gerekli bilgilerin girildiği yerdir.
RECEDIT rc.models dosyasındaki donanım sürücülerinin ayarlandığı yerdir.
PCMCIA Laptoplar için pcmci kartlarının ayarlandığı yerdir.
EXIT Vector-Linux kurulum ayarları penceresinden çıkar.
"Vector-Linux Setup" penceresinde ilk olarak "LILO" ayarlarını yapmalısınız.
LILO ayarlarının nasıl yapıldığı aşağıda anlatılmıştır.
LILO üzerine gelip enter tuşuna basın.

LILO INSTALLATION : (10-30-2000)
LILO the (Li)nux (Lo)ader boot manager is aprogram that allows booting linux and other operating system directly from the hard drive.
The install LILO, chose (1) then (2) adding at boot other operating systems, chose (3) for OS/2 and (4) for any others. When you're done, select (5) the install LILO option. Alternately, if you already have an /etc/lilo.conf file, you may reinstall LILO using that. If you make a mistake, just select (1) to start over.

1 - Start LILO configuration with a new LILO header <First step>
2 - Add a Linux partition to the LILO config <Second step>
3 - Add a OS/2 partition to the LILO config file
4 - Add a DOS/WIN or OTHER partition the LILO config file
5 - Install LILO <Last step after 1 and 2-4>
6 - Reintall LILO using an existing /etc/lilo.conf file
7 - Skip LILO installation or just exit! <If in doubt EXIT!>
8 - View your current lilo.conf file <Let's see what we got so far>

Whic option woultd you like (1-8)? 1 "yazıp enter tuşuna basın"
.....
Enter extra parameters: "Boş bırakıp enter tuşuna basın"

SELECT LILO TARGET LOCATION:
LILO can be installed to avariety of place

1 - The (M)aster (B)oot (R)ecord of your first hard drive
2 - The superblock of your root Linux partition (another boot manager will boot linux, or you'll more it the active bootable partition with "fdisk" so it's booted by default)
3 - A formatted 1.44 floppy disk in drive a or b.

The sofest thing to do is to try lilo on a floppy disk first. If it works on a floppy, then it should work on the mbr of your hard disk

If you're using a Boot Manager such as OS/2's, NT or gag should chose option 2 and install LILO on the supeblock of your root Linux partition.

Other wise you can choose 1 for MBR.

Please pick a target location (1-3): 1 "yazıp enter tuşuna basın"

Burada 1 seçmemizin nedeni Lilo yu harddiskin mbr sine yazdırmak içindir. MBR ye yazdırdığımız lilo ile bilgisayar başlarken linux veya windowsdan baslamasını sağlayan bir seçmeli pencere oluşturabiliriz. İsterseniz 3 seçerek Lilo yu bir diskete de yazdırabilirsiniz. Fakat bu disket olmadan Linux a geçiş yapamazsınız.

LILO INSTALLATION : (10-30-2000)
LILO the (Li)nux (Lo)ader boot manager is aprogram that allows booting linux and other operating system directly from the hard drive.
The install LILO, chose (1) then (2) adding at boot other operating systems, chose (3) for OS/2 and (4) for any others. When you're done, select (5) the install LILO option. Alternately, if you already have an /etc/lilo.conf file, you may reinstall LILO using that. If you make a mistake, just select (1) to start over.

1 - Start LILO configuration with a new LILO header <First step>
2 - Add a Linux partition to the LILO config <Second step>
3 - Add a OS/2 partition to the LILO config file
4 - Add a DOS/WIN or OTHER partition the LILO config file
5 - Install LILO <Last step after 1 and 2-4>
6 - Reintall LILO using an existing /etc/lilo.conf file
7 - Skip LILO installation or just exit! <If in doubt EXIT!>
8 - View your current lilo.conf file <Let's see what we got so far>

Whic option woultd you like (1-8)? 2 "yazıp enter tuşuna basın"

SELECT LINUX PARTITON

Put the whole Device name, examples: /dev/hda2 /dev/sda2 etc.

Disk /dev/hda : 128 heads, 63 sector, 782 cylinders
Units = cylinders of 8064 *512 bytes


Device Boot Start End Blocks Id System
/dev/hda1 * 1 152 612832+ c Win95 FAT32 (LBA)
/dev/hda2 153 719 2286144 83 Linux
/dev/hda3 720 782 254016 82 Linux swap
Which Linux partition would you like LILO to boot? /dev/xxx : /dev/hda2 "yazıp enter basın"

SELECT PARTITON NAME :

Now can select a short, unique name for this partition. You'll use this name at the LILO boot prompt.
The default name is: linux "yazıp enet tuşuna basın"

THIS MUST BE A SINGLE WORD

Put name or press [Enter] for the default above: "boş bırakıp enter tuşuna basın"

KERNEL LOCATION

I found a kernel in /boot/vmlinuz on the linux system, if this is the one you want lilo to boot, just press enter.

If you want lilo to boot another kernel, put below where to find it on the Linux system.

Possibe Locations: /zimage /boot/zImage /boot/vmlinuz-2.x.x etc.

You can change consoles and look on the linux system for the location of the kernel, the linux system is mouted under.
/mnt/partition directory.

The curent console is: Alt-F
Press Alt+F1 to chage consoles.

Where is the kernel?: "boş bırakıp enter tuşuna basın"

LILO INSTALLATION : (10-30-2000)
LILO the (Li)nux (Lo)ader boot manager is aprogram that allows booting linux and other operating system directly from the hard drive.
The install LILO, chose (1) then (2) adding at boot other operating systems, chose (3) for OS/2 and (4) for any others. When you're done, select (5) the install LILO option. Alternately, if you already have an /etc/lilo.conf file, you may reinstall LILO using that. If you make a mistake, just select (1) to start over.

1 - Start LILO configuration with a new LILO header <First step>
2 - Add a Linux partition to the LILO config <Second step>
3 - Add a OS/2 partition to the LILO config file
4 - Add a DOS/WIN or OTHER partition the LILO config file
5 - Install LILO <Last step after 1 and 2-4>
6 - Reintall LILO using an existing /etc/lilo.conf file
7 - Skip LILO installation or just exit! <If in doubt EXIT!>
8 - View your current lilo.conf file <Let's see what we got so far>

Whic option woultd you like (1-8)? 4 "yazıp enter tuşuna basın"

SELECT OTHER PARTITON

You can boot systems other than linux with lilo, e.g. dos, windows and freebsd are some.

Put the whole Device name, exemples : /dev/hda2 /dev/sda2 etc.

Disk /dev/hda : 128 heads, 63 sector, 782 cylinders
Units = cylinders of 8064 *512 bytes


Device Boot Start End Blocks Id System
/dev/hda1 * 1 152 612832+ c Win95 FAT32 (LBA)
/dev/hda2 153 719 2286144 83 Linux
/dev/hda3 720 782 254016 82 Linux swap
Which other partition would you like LILO to boot? /dev/xxx : /dev/hda1 "yazıp enter yuşuna basın"

SELECT PARTITON NAME

Now can select a short, unique name for this partition. You'll use this name at the LILO boot prompt.
The default name is: dos win freebsd

THIS MUST BE A SINGLE WORD

Put name : win "yazıp enter tuşuna basın"

LILO INSTALLATION : (10-30-2000)
LILO the (Li)nux (Lo)ader boot manager is aprogram that allows booting linux and other operating system directly from the hard drive.
The install LILO, chose (1) then (2) adding at boot other operating systems, chose (3) for OS/2 and (4) for any others. When you're done, select (5) the install LILO option. Alternately, if you already have an /etc/lilo.conf file, you may reinstall LILO using that. If you make a mistake, just select (1) to start over.

1 - Start LILO configuration with a new LILO header <First step>
2 - Add a Linux partition to the LILO config <Second step>
3 - Add a OS/2 partition to the LILO config file
4 - Add a DOS/WIN or OTHER partition the LILO config file
5 - Install LILO <Last step after 1 and 2-4>
6 - Reintall LILO using an existing /etc/lilo.conf file
7 - Skip LILO installation or just exit! <If in doubt EXIT!>
8 - View your current lilo.conf file <Let's see what we got so far>

Whic option woultd you like (1-8)? 5 "yazıp enter tuşuna basın"

Burada lilo kaydedilir ve LILO INSTALLATION penceresinden çıklılır ve "Vector-Linux Setup" penceresine geri döner.
Buradan "SETKOM" "KEYMAP" ve "SND" ayarlarınıda yaparak.
EXIT ile "Vector-Linux Setup" penceresinden çıkın.

#reboot "yazıp bilgisayarınızın yeniden başlamasını sağlayabilirsiniz.

Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:44 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 17-05-12, 17:32 #44
kralkose kralkose çevrimdışı
Varsayılan C: Linux İçin Bilinen Hatalar/Soru-Sorunlar/Çözümler/Deneyimleriniz.. Bu konuya.

cok tesekkur edıyorum........ bıraz karısık gorunuyor ama deneyecegım... hatta denemekle kalmam kurana denk ugrasan bırıyım..... i3 lu bır bılgsayar var bende pekı ona ne kurmalıyım wındos u mu bozmadan
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 17-05-12, 19:22 #45
CaptainShisui CaptainShisui çevrimdışı
Varsayılan C: Linux İçin Bilinen Hatalar/Soru-Sorunlar/Çözümler/Deneyimleriniz.. Bu konuya.

Alıntı:
Gerçek Mesajı Gönderen kralkose Mesajı Göster
cok tesekkur edıyorum........ bıraz karısık gorunuyor ama deneyecegım... hatta denemekle kalmam kurana denk ugrasan bırıyım..... i3 lu bır bılgsayar var bende pekı ona ne kurmalıyım wındos u mu bozmadan
ubuntu kur wubi ile windows bozulmaz
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 19-05-12, 18:35 #46
oskabir oskabir çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Bende Linux geçmeyi düşünüyorum ancak "Ubuntu" İle "Kubuntu" arasındaki fark nedir hangisi daha faydalı benim gibi yeni biri için
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 19-05-12, 20:02 #47
CaptainShisui CaptainShisui çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Alıntı:
Gerçek Mesajı Gönderen oskabir Mesajı Göster
Bende Linux geçmeyi düşünüyorum ancak "Ubuntu" İle "Kubuntu" arasındaki fark nedir hangisi daha faydalı benim gibi yeni biri için
Tek fark masaüstü sistemin çok iyiyse özelliklerin ubuntu kur sistemin düşükse kubuntu kur sade ve çok hızlı bir masaüstü arayüzü. benim özelliklerim iyi olmasına rağmen kubuntu kullanıyorum örnegi vereyim kubuntu : xp ubuntu: windows 7 tabi 2d masaüstü yaparsın ubuntuda hızlı olması için oda hoşuna gitmez benim gitmedi şahsen seni bilmem
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 19-05-12, 20:31 #48
oskabir oskabir çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

4Gb Ram
2.60 Ghz Dual-Core 2 CPU
500Gb Harddisk ve 1Gb ekran kartı var...
Sistemimin özellikleri bunlar normalde Win7 x64 bit kullanıyorum ve gayet rahat bir biçimde... Hangisini öneriyorsunuz?
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 19-05-12, 20:57 #49
CaptainShisui CaptainShisui çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Alıntı:
Gerçek Mesajı Gönderen oskabir Mesajı Göster
4Gb Ram
2.60 Ghz Dual-Core 2 CPU
500Gb Harddisk ve 1Gb ekran kartı var...
Sistemimin özellikleri bunlar normalde Win7 x64 bit kullanıyorum ve gayet rahat bir biçimde... Hangisini öneriyorsunuz?

Hacım verdim örnegi işte xp windows 7 örnegini bak xubuntuda var masaüstüsü çok güzel hoşuma gidiyor mesala google resimlerden yada web siteden resimlere bak istedigin birini kur ubuntu çok istiyorum diyorsan onu kur fark etmez tek fark masaüstü xubuntu kubuntu hepsinindosyaları aynı tek masaüstü farkı var hız olarak tabi klasik masaüstü daha iyidir
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 19-05-12, 21:40 #50
Kıvanç Kıvanç çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Alıntı:
Gerçek Mesajı Gönderen oskabir Mesajı Göster
4Gb Ram
2.60 Ghz Dual-Core 2 CPU
500Gb Harddisk ve 1Gb ekran kartı var...
Sistemimin özellikleri bunlar normalde Win7 x64 bit kullanıyorum ve gayet rahat bir biçimde... Hangisini öneriyorsunuz?
Daha önce herhangi bir linux işletim sistemi kullanmadıysanız önce denemenizde fayda var Şu; Aynı sabit diskte Windows ile istediğiniz ubuntu sürümünü kurmak konuyu inceleyin.

Orada diğer masaüstleri ile birlikte tüm ubuntu sürümleri mevcut. Kurulumdan gayet memnun kalıp sistemde bir sıkıntı yaşamazsanız .iso indirip dvd den normal kurulum yapıp windows'tan tamamen kurtulmuş olursunuz.

Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:45 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 21-05-12, 15:19 #51
oskabir oskabir çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Ubuntuyu Vwmare kullanarak sanal bilgisayara yükledim 2 gündür filan uğraşıyorum kurcalıyorum gayet güzel bazen aradıgım programları filan bulamıyorum başkaları ile halletmeye çalışıyorum. Sanal pc den açtıgım için birazda o sorun çıkartıyor

Sormak istedigim bi kaç soru daha var...
Aynı Sabit Diske kur derken yeni bir sürücü açmam gerekiyormu yoksa normal windowsun kurulu oldugu yada herhangi başka dosyalarımın yüklü oldugu sürücüye yüklesem bir sorun olur mu dosyaları kaybetme ya da silinmesi bakımından..
İkincisi ise Linux oyunlar konusunda nasıl fazla oyun sevdalısı olmasamda takip ettigim bi kaç tane seri var Problem çıkması ya da çalıştırmama olasılığı nedir?
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 21-05-12, 15:22 #52
CaptainShisui CaptainShisui çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Alıntı:
Gerçek Mesajı Gönderen oskabir Mesajı Göster
Ubuntuyu Vwmare kullanarak sanal bilgisayara yükledim 2 gündür filan uğraşıyorum kurcalıyorum gayet güzel bazen aradıgım programları filan bulamıyorum başkaları ile halletmeye çalışıyorum. Sanal pc den açtıgım için birazda o sorun çıkartıyor

Sormak istedigim bi kaç soru daha var...
Aynı Sabit Diske kur derken yeni bir sürücü açmam gerekiyormu yoksa normal windowsun kurulu oldugu yada herhangi başka dosyalarımın yüklü oldugu sürücüye yüklesem bir sorun olur mu dosyaları kaybetme ya da silinmesi bakımından..
İkincisi ise Linux oyunlar konusunda nasıl fazla oyun sevdalısı olmasamda takip ettigim bi kaç tane seri var Problem çıkması ya da çalıştırmama olasılığı nedir?

windows göre aynı performans peklememek gerekir ama açarsa oynarsın diyebilirim wine + playonlinuxla dene onları listesi var internette çalışan oyunların wine sitesine bakabilirsin bu arada windowsla aynı disk kursan bir sorun olmaz.
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 21-05-12, 15:28 #53
Kıvanç Kıvanç çevrimdışı
Varsayılan C: Ubuntu 12.04 LTS sürümü çıktı!

Alıntı:
Gerçek Mesajı Gönderen oskabir Mesajı Göster
Ubuntuyu Vwmare kullanarak sanal bilgisayara yükledim 2 gündür filan uğraşıyorum kurcalıyorum gayet güzel bazen aradıgım programları filan bulamıyorum başkaları ile halletmeye çalışıyorum. Sanal pc den açtıgım için birazda o sorun çıkartıyor

Sormak istedigim bi kaç soru daha var...
Aynı Sabit Diske kur derken yeni bir sürücü açmam gerekiyormu yoksa normal windowsun kurulu oldugu yada herhangi başka dosyalarımın yüklü oldugu sürücüye yüklesem bir sorun olur mu dosyaları kaybetme ya da silinmesi bakımından..
İkincisi ise Linux oyunlar konusunda nasıl fazla oyun sevdalısı olmasamda takip ettigim bi kaç tane seri var Problem çıkması ya da çalıştırmama olasılığı nedir?


Merhaba.
Evet sanal sunucu gözlem yapmak için kullanıyoruz ufak tefek sıkıntılar çıkabilir.


eğer wubi ile kurulum yaparsanız tıpkı windows a bir program kurmuş gibi linux kurmuş olursunuz zaten wubi ile kurulumda sistem dizinini ( C:/ ) ve sistemde ne kadar alan kaplamasını ( atıyorum 100 gb c:/ bölümünüz var bunun 30 gb'ını windows kullanıyor sizde 20 gb linux'a ayırabilirsiniz. )

Windows'tan dosylarınız kaybolmaz açılışta işletim sistemini sorar siz ona göre sisteme giriş yaparsınız ancak linux'un dosya sistemi ntfs veya fat değilde etc olduğu için windowsta iken linux dosyalarını göremezsiniz. Ama linux'ta windows dosyalarını görebildiğiniz için girip dizini pek kurcalamamanızı öneririm.


Oyunlar konusunda ise oyuna göre değişiyor mesela bunun için WineHQ sitesine gözatabilirsin. Bazı oyunların linux versiyonları da mevcuttur şahsen ben savege-2'yu çok oynadım windowstan da iyi çalıştırdı

Diğer bir şekil ile yine wine emülatörü kullanarak bazı .exe dosyalarını çalıştırabildiğin için bazı oyunları oynayabilirsiniz.



Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:45 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 22-05-12, 14:01 #54
sallaswe sallaswe çevrimdışı
Varsayılan Yardım Edin.

Linux'a yeni geçtim Yaklaşık 1 hafta pardus kullandım.red hat enterprise linux 6 yükledim.
Pardusdaki gibi paket yöneticisi yok galiba programları yüklemek için ne yapmalıyım virtual box yüklemem gerekiyor.



Teşekkürler.

Mesajı son düzenleyen sallaswe ( 22-05-12 - 14:06 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 22-05-12, 14:42 #55
CaptainShisui CaptainShisui çevrimdışı
Varsayılan C: Yardım Edin.

Alıntı:
Gerçek Mesajı Gönderen sallaswe Mesajı Göster
Linux'a yeni geçtim Yaklaşık 1 hafta pardus kullandım.red hat enterprise linux 6 yükledim.
Pardusdaki gibi paket yöneticisi yok galiba programları yüklemek için ne yapmalıyım virtual box yüklemem gerekiyor.



Teşekkürler.

Öncelikle Merhaba Sorunlarınız için ayrı konu açmanıza gerek yok sorunları bu konu altında cevaplıyoruz.

sorununa gelince burada tüm sistemlere göre var kendi sistemine göre olanı indir göz attım istedigin mevcut.

https://www.virtualbox.org/wiki/Linux_Downloads
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 22-05-12, 15:22 #56
Kıvanç Kıvanç çevrimdışı
Varsayılan C: Yardım Edin.

Alıntı:
Gerçek Mesajı Gönderen sallaswe Mesajı Göster
Linux'a yeni geçtim Yaklaşık 1 hafta pardus kullandım.red hat enterprise linux 6 yükledim.
Pardusdaki gibi paket yöneticisi yok galiba programları yüklemek için ne yapmalıyım virtual box yüklemem gerekiyor.



Teşekkürler.
sisteme girebiliyorsan Virtual Box' a gerek yok. Aşağıdaki kaynağı inceleyin. Bu genel bir bilgi yani siz RPM(RedHat Package Manager) ile program yükleme işlerinizi yapabilirsiniz. RPM'yi nasıl kurmanız gerektiği aşağıdaki kaynakta mevcut.

Alıntı:

RedHat firması tarafından üretilen ve şu an bir çok unix dağıtımında kullanılan paket yönetim sistemidir.
Paket Nedir?

Paket yazılım ya da güncelleme ve bunlara ait konfigürasyon dosyalarıdır.Unix dağıtımlarındaki tüm yazılımlar bir veya birden fazla paketten oluşur.Yüklemek istediğiniz paketlerin işletim sisteminize ve mimarinize uygun olduğundan emin olun.Paket yükleme işi gerçekten çalışan sistemlerde ciddiye alınması gereken bir iştir benim önerim sisteminiz düzgün çalışıyorsa güvenlik paketleri dışında paket yüklememeniz yönündedir.

Yükleyeceğiniz her paketin README dosyasını incelemeniz gerekir, örneğin çalışma saatlerinde kapatamıyacağınız bir iş istasyonuna network arabirimi ile ilgili bir paket yüklediniz ve bu paket yüklemeden sonra sistemin restart edilmesini istiyor olabilir bu durumda bu paketin yüklenmesini uygun bir zamanda yapmalısınız. Yükleyeceğiniz paket ile ilgili bu tür bilgileri araştırmadan yüklemeniz doğru olmaz.

RPM'in 4 önemli fonksiyonu ve bunlara ait opsiyonlar vardır,

install
uninstall
query
verify
Peki bu rpm paketlerini nerden bulabiliriz?

internet üzerindeki bir çok rpm repository üzerinden(Önemli Not)
RedHat Enterprise Linux cd / dvd sinden(Bu paketlere güvenebilirsiniz)
Red Hat in kendi sayfasından(Bu paketlere güvenebilirsiniz)
İhtiyaç duyduğunuz paketleri güvenilir yerlerden indirmeye dikkat edin, Örneğin flash paketi diye kurduğunuz bir yazılım flash paketi yanında sisteminiz üzerinde çok önemli güvenlik açıkları oluşturulabilir. Bu sebepten aşağıda bahsettiği paket signatures konusunu dikkatle okuyun,

RPM isimlendirmeleri:

rpm paketlerinin isimlendirmesini aşağıdaki örnek üzerinden inceleyelim.

"flash-0.4.3-9.i386.rpm"

Paket ismi "flash"
Versiyon "0.4.3″
Release "9″
Mimari "i386″

Installing(Kurulum)

Aşağıda flash-0.4.3-9.i386.rpm paketin yüklenmesi gösteriliyor, sisteme root kullanıcısı olarak girin.

#rpm -ivh flash-0.4.3-9.i386.rpm

Aşağıdaki komutda paket yüklemelerinde kullanılabilir, yukarıdakinden farkı paket varsa update eder yoksa kurulum yapar.

#rpm -Uvh flash-0.4.3-9.i386.rpm

Aynı paketi tekrar yüklemeye çalışırsak bu paketin daha önce yüklü olduğuna dair bir mesaj alırız, biz yinede bu paketi tekrar yüklemek istersek (kurulu olana rpm paketi bozulmuş ya da orjinal konfigürasyonuna ihtiyaç duyabiliriz).

Aşağıdaki gibi –replacepkgs opsiyonuyla paketi yüklememiz gerekiyor;

#rpm -ivh –replacepkgs flash-0.4.3-9.i386.rpm

Bazı durumlarda yükleyeceğimiz bir pakete ait bir dosya daha önce kurulan bir paket tarafından kurulmuşsa "conflict" içeren bir hata alırız, biz yine de bu paketi yüklemek istersek –replacefiles;

#rpm -ivh –replacefiles flash-0.4.3-9.i386.rpm

Bazı paketlerin çalışabilmesi için farklı paketlere ihtiyaç duyabilir buna "package dependencies" denir, bu tür paket yüklemelerinde "failed dependencies: XXX is needed by YYY Suggested resolutions:XXX…rpm" şeklinde bir hata alınır,YYY yüklemek istediğimiz paket, XXX ise bağımlı olduğumuz paket ismidir.

#rpm -ivh YYY.rpm
error:failed dependencies: XXX is needed by YYY Suggested resolutions:XXX…rpm

Aşağıda önce YYY paketinin ihtiyacı olan XXX paketi sonra YYY paketi kuruluyor,

#rpm -ivh XXX.rpm YYY.rpm

Uninstalling(Kaldırma)

Aşağıda daha önce kurduğumuz flash-0.4.3-9.i386.rpm paketini -e opsiyonuyla kaldırıyoruz, dikkat ederseniz paketin tam ismi yerine paketin sadece isim kısmını kullanıyoruz;

#rpm -e flash

Bazı durumlarda kaldıracağımız bir paket başka bir paket tarafından kullanılıyor olabilir, bu durumda –nodeps opsiyonunu kullanabilirsiniz fakat bunu dikkatli yapmalısınız çünkü kaldırdığınız pakete ihtiyaç duyan diğer paketler çalışmayabilir,

Upgrading(Güncelleme)

Paket kurulumuna çok benzer,

#rpm -Uvh flash-0.4.3-9.i386.rpm

Önemli Not: Kernel yüklemelerinde -U opsiyonunu kesinlikle kullanmayın,

Bazı durumlarda bir paketin eski versiyonunu kullanmak zorunda kalabiliriz, bu durumda;

#rpm -Uvh –oldpackage flash-0.2.3-9.i386.rpm

Freshing(Tazeleme)

Upgrading(Güncelleme) işlemine benzer fakat upgrading işleminde paket varsa upgrade edilir yoksa yeniden yüklenir, burdaysa paket varsa güncellenir yoksa birşey yapılmaz;

#rpm -Fvh flash-0.4.3-9.i386.rpm

Elimizdeki tüm paketleri tazalemek/güncellemek için;

#rpm -Fvh *.rpm

Querying(Sorgulama)

/var/lib/rpm/ dizini altında sistemimize yüklü tüm paketlerin bilgisi bulunur,
Yüklü bir paketi sorgulamak için;

#rpm -q paket_ismi

#rpm -q flash

Aşağıdaki opsiyonları sorgulama yaparken -q opsiyonuyla beraber kullanabilirsiniz.
-a tüm yüklenmiş paketleri sorgular,

#rpm -qa //tüm yüklenmiş paketleri sorgular,

#rpm -qa paket_ismi //yüklenmiş paketler arasında paket_ismi nin olup olmadığını sorgular,

-f <dosya_ismi> bir dosyanın hangi rpm paketiyle yüklendiğini sorgular,

#rpm -f /bin/bash //bash dosyası hangi rpm paketiyle geldiğini gösterir, bash-3.2-24.el5 //benim sistemde yukarıdaki komutun çıktısı aşağıdaki gibidir,

-p <paket_dosyası> //kaldırılmış paketleri lister,

-i paket bilgisini gösterir,

# rpm -qi emacs

Name : emacs Relocations: (not relocatable)
Version : 21.4 Vendor: Red Hat, Inc.
Release : 20.el5 Build Date: Tue 11 Dec 2007 03:15:16 AM EET
Install Date: Mon 04 Jan 2010 10:32:46 AM EET Build Host: hs20-bc1-5.build.redhat.com
Group : Applications/Editors Source RPM: emacs-21.4-20.el5.src.rpm
Size : 6726113 License: GPL
Signature : DSA/SHA1, Fri 21 Dec 2007 01:13:49 PM EET, Key ID 5326810137017186
Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL : http://www.gnu.org/software/emacs
Summary : GNU Emacs text editor
Description :
Emacs is a powerful, customizable, self-documenting, modeless text
editor. Emacs contains special code editing features, a scripting
language (elisp), and the capability to read mail, news, and more
without leaving the editor.
This package provides an emacs binary with support for X windows.

-l paketin içerdiği dosyaları listeler,

# rpm -ql emacs //emacs paketine ait dosyaları listeler,

/usr/bin/emacs
/usr/bin/emacs-21.4
/usr/bin/emacs-21.4-x
/usr/bin/emacs-x
/usr/libexec/emacs
/usr/libexec/emacs/21.4
/usr/libexec/emacs/21.4/x86_64-redhat-linux-gnu
/usr/libexec/emacs/21.4/x86_64-redhat-linux-gnu/fns-21.4.1-x.el
/usr/share/applications/gnu-emacs.desktop
/usr/share/pixmaps/emacs.png

-s pakete ait dosyaların durumlarını gösterir,

-d paket dosyalarından dökümantasyon için olanları listeler,
#rpm -qd flash
/usr/share/doc/flash-0.4.3/COPYING
/usr/share/doc/flash-0.4.3/README

-c paket dosyalarından konfigürasyon için olanları listeler,

Verifying (Doğrulama)

Paket doğrulama sistemde yüklü olan paketle yüklemek istediğiniz paketin bilgilerini karşılaştırır, bu karşılaştırmada MD5 sum, permissions, type, owner, group bilgileri karşılaştırılır, karşılaştırma sayesinde yüklenen paketin orjinal paket olup olmadığı kontrol edilir,
-V opsiyonu doğrulama için kullanılır,
/bin/bash gibi tek bir dosyayı kontrol etmek için;

#rpm -Vf /bin/bash

Tüm paketleri kontrolü için;

#rpm -Va

Yüklediğiniz bir rpm paketi kontrolü için;

#rpm -Vp flash-0.4.3-9.i386.rpm

Paket Signature (İmza) Kontrolü

Bir paketin doğruluğunu (bozulup bozulmadığını), üzerinde değişiklik yapılıp yapılmadığı sistem güvenliği için önemlidir, bu kontroller için paket signature ları kullanılır;
flash-0.4.3-9.i386.rpm paketinin sadece md5sum kontrolü için aşğıdaki komut çalıştırılır ve sonucunda OK olmalı aksi durumda bu paketi kesinlikle yüklemeyin;

#rpm -K –nosignature flash-0.4.3-9.i386.rpm
flash-0.4.3-9.i386.rpm:md5 OK

Daha ayrıntılı bilgi için aşağıdaki gibi çalıştırılabilir;

#rpm -Kvv –nosignature flash-0.4.3-9.i386.rpm

Fakat md5sum değerinin tutması bir paketi yüklemek için yeterlimidir?, ben md5sum kontrolünü sadece indirme esnasında bir paketin zarar görüp görmediğini denetlemek için kullanıyorum;

Bir Geliştirici oluşturduğu paketi kendi GnuPG key'i ile işaretler, bu bize bu pakete güvenebileceğimizi gösterir,
GnuPG(GNU Privacy Guard) güvenli iletişim için kullanılan bir yazılımdır, GnuPG linux kurulumda yüklenir,
paketleri imzalarına göre yüklemek için Red Hat GPG key lerini sisteme tanıtmanız gerekir bu dosya RHEL DVD sinde bulabilirsiniz, bu dosyayı yüklemek için;

#rpm –import /media/cdrom/rhel/RPM-GPG-KEY-redhat-release

bu dosyayı import etdikten sonra, aşağıdaki gibi bir paketin güvenilirliğini kontrol edebiliriz, dikkat ederseniz sonuç OK,

#rpm -K eclipse-jdt-3.2.1-19.el5.x86_64.rpm
eclipse-jdt-3.2.1-19.el5.x86_64.rpm: (sha1) dsa sha1 md5 gpg OK

Paket yönetimi için rpm kullanılacağı gibi yum (Yellowdog Update Manager) ya da Package Manager yazılımıda kullanılabilir, yum kullanımını geniş bir konu olduğu için başka bir yazıda değineceğim,

Package Manager

Package Manager yazılımına terminal ya da console üzerinde "system-config-packages" komutuyla çalıştırılabilir,
genel görünümü aşağıdaki gibidir, bu aracı kullanarak rpm paketlerini yükleyebilir, kaldırabilir ya da listeleyebilirsiniz.
Bununla beraber "yum Repository Nasıl Oluşturulur" yazısında anlatılan kendi repository nizi oluşturuken kullanılan oldukça yararlı bir araçtır.
RPM

Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:46 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 23-05-12, 13:47 #57
sallaswe sallaswe çevrimdışı
Varsayılan Yardım Edin.(RHEL 6)

Yum update yazınca :


Alıntı:
Loaded plugins: product-id, refresh-packagekit, subscription-manager
Updating Red Hat repositories.
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libxvidcore.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libvdpau.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libschroedinger-1.0.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: liborc-0.4.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmplex2-2.0.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmodplug.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmms.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmjpegutils-2.0.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: liblrdf.so.2 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libkate.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libfaad.so.2 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libfaac.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdnav.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdirac_encoder.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdirac_decoder.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdca.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libcdaudio.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libass.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libamrwb.so.3 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package gstreamer-plugins-bad-free.i686 0:0.10.19-2.el6 will be obsoleted
---> Package libvpx.i686 0:0.9.0-8.el6_0 will be updated
---> Package libvpx.i686 0:1.0.0-2.1.el6 will be an update
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package libamrwb.i686 0:7.0.0.4-3.el6 will be installed
---> Package libass.i686 0:0.10.0-3.el6 will be installed
--> Processing Dependency: libfribidi.so.0 for package: libass-0.10.0-3.el6.i686
--> Processing Dependency: libenca.so.0 for package: libass-0.10.0-3.el6.i686
---> Package libcdaudio.i686 0:0.99.12p2-14.el6 will be installed
---> Package libdca0.i686 0:0.0.5-4.el6 will be installed
---> Package libdirac.i686 0:1.0.2-4.el6 will be installed
---> Package libdvdnav4.i686 0:0.1.10-2.el6 will be installed
---> Package libfaac.i686 0:1.28-3.el6 will be installed
---> Package libfaad2.i686 1:2.7-18.el6 will be installed
---> Package libkate.i686 0:0.3.8-3.el6 will be installed
---> Package liblrdf.i686 0:0.5.0-2.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: libraptor2.so.0 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: ladspa for package: liblrdf-0.5.0-2.el6.i686
---> Package libmms.i686 0:0.6.2-4.el6 will be installed
---> Package libmodplug.i686 0:0.8.8.4-1.el6 will be installed
---> Package liborc.i686 0:0.4.14-1.el6 will be installed
---> Package libschroedinger.i686 0:1.0.10-3.el6 will be installed
---> Package libvdpau1.i686 0:0.4.1-4.el6 will be installed
---> Package libxvidcore.i686 0:1.3.2-1.el6 will be installed
---> Package mjpegtools.i686 1:2.0.0-21.el6 will be installed
--> Processing Dependency: libquicktime.so.0 for package: 1:mjpegtools-2.0.0-21.el6.i686
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package libenca.i686 0:1.13-3.el6 will be installed
---> Package libfribidi.i686 0:0.19.2-3.el6 will be installed
---> Package liblrdf.i686 0:0.5.0-2.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: ladspa for package: liblrdf-0.5.0-2.el6.i686
---> Package libquicktime0.i686 0:1.2.3-30.el6 will be installed
---> Package libraptor2.i686 0:2.0.7-3.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: libraptor2-2.0.7-3.el6.i686
--> Finished Dependency Resolution
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libmusicbrainz.so.4
Error: Package: libraptor2-2.0.7-3.el6.i686 (linuxtech-release)
Requires: libyajl.so.1
Error: Package: liblrdf-0.5.0-2.el6.i686 (linuxtech-release)
Requires: ladspa
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libdvdread.so.4
Error: Package: liblrdf-0.5.0-2.el6.i686 (linuxtech-release)
Requires: libyajl.so.1
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libdc1394.so.22
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
çıkıyor bunu nasıl düzeltebilirim ?Lİnux a geçeli 2 hafta oldu Rhel6 yı 2 gündür kullanıyorum.

Vlc playeri kurmaya çalışınca:

Alıntı:
Loaded plugins: product-id, refresh-packagekit, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libx264.so.115 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libva.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libva-x11.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libupnp.so.6 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libtwolame.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libthreadutil.so.6 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libswscale.so.0(LIBSWSCALE_0) for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libswscale.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libschroedinger-1.0.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libpostproc.so.51(LIBPOSTPROC_51) for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libpostproc.so.51 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: liborc-0.4.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libmpeg2.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libmodplug.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libmatroska.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libmad.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libliveMedia.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libkate.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libixml.so.2 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libgroupsock.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libfribidi.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libfaad.so.2 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libenca.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libebml.so.3 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdnav.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvbpsi.so.7 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdirac_encoder.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdirac_decoder.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdca.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libcrystalhd.so.3 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libcddb.so.2 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libbluray.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libavutil.so.50(LIBAVUTIL_50) for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libavutil.so.50 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libavformat.so.52(LIBAVFORMAT_52) for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libavformat.so.52 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libavcodec.so.52(LIBAVCODEC_52) for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
Package ffmpeg-libs is obsoleted by ffmpeg, but obsoleting package does not provide for requirements
--> Processing Dependency: libavcodec.so.52 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
Package ffmpeg-libs is obsoleted by ffmpeg, but obsoleting package does not provide for requirements
--> Processing Dependency: libass.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: liba52.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libUsageEnvironment.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libSDL_image-1.2.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libBasicUsageEnvironment.so.0 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package SDL_image.i686 0:1.2.10-1.el6 will be installed
---> Package liba52.i686 0:0.7.4-10.el6 will be installed
---> Package libass.i686 0:0.10.0-3.el6 will be installed
---> Package libavformat52.i686 0:0.7.11-52.el6 will be installed
--> Processing Dependency: libavcodec.so.52 for package: libavformat52-0.7.11-52.el6.i686
--> Processing Dependency: librtmp.so.0 for package: libavformat52-0.7.11-52.el6.i686
--> Processing Dependency: libavcodec.so.52(LIBAVCODEC_52) for package: libavformat52-0.7.11-52.el6.i686
---> Package libavutil50.i686 0:0.7.11-52.el6 will be installed
---> Package libbluray1.i686 0:0.2.2-2.el6 will be installed
---> Package libcddb.i686 0:1.3.2-8.el6 will be installed
---> Package libcrystalhd.i686 0:20110917-1.el6 will be installed
---> Package libdca0.i686 0:0.0.5-4.el6 will be installed
---> Package libdirac.i686 0:1.0.2-4.el6 will be installed
---> Package libdvbpsi.i686 0:0.2.2-2.el6 will be installed
---> Package libdvdnav4.i686 0:0.1.10-2.el6 will be installed
---> Package libebml.i686 0:1.2.1-1.el6 will be installed
---> Package libenca.i686 0:1.13-3.el6 will be installed
---> Package libfaad2.i686 1:2.7-18.el6 will be installed
---> Package libfribidi.i686 0:0.19.2-3.el6 will be installed
---> Package libkate.i686 0:0.3.8-3.el6 will be installed
---> Package libmad.i686 0:0.15.1b-6.el6 will be installed
---> Package libmatroska.i686 0:1.2.0-1.el6 will be installed
---> Package libmodplug.i686 0:0.8.8.4-1.el6 will be installed
---> Package libmpeg2.i686 0:0.5.1-5.el6 will be installed
---> Package liborc.i686 0:0.4.14-1.el6 will be installed
---> Package libpostproc51.i686 0:0.9.1-54.el6 will be installed
--> Processing Dependency: libavutil.so.51(LIBAVUTIL_51) for package: libpostproc51-0.9.1-54.el6.i686
--> Processing Dependency: libavutil.so.51 for package: libpostproc51-0.9.1-54.el6.i686
---> Package libschroedinger.i686 0:1.0.10-3.el6 will be installed
---> Package libswscale0.i686 0:0.7.11-52.el6 will be installed
---> Package libtwolame.i686 0:0.3.13-3.el6 will be installed
---> Package libupnp.i686 0:1.6.15-3.el6 will be installed
---> Package libva-x11_1.i686 0:1.0.15-7.el6 will be installed
---> Package libva1.i686 0:1.0.15-7.el6 will be installed
---> Package libx264.i686 0:0.115-0.20110510.1.el6 will be installed
---> Package live.i686 0:2012.02.04-1.el6 will be installed
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package libavcodec52.i686 0:0.7.11-52.el6 will be installed
--> Processing Dependency: libx264.so.118 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libxavs.so.1 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libopencore-amrwb.so.0 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libvpx.so.1 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libmp3lame.so.0 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libopencore-amrnb.so.0 for package: libavcodec52-0.7.11-52.el6.i686
--> Processing Dependency: libxvidcore.so.4 for package: libavcodec52-0.7.11-52.el6.i686
---> Package libavutil51.i686 0:0.10.2-54.el6 will be installed
---> Package librtmp.i686 0:2.3-3.el6 will be installed
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package libmp3lame.i686 0:3.98.4-4.el6 will be installed
---> Package libopencore-amr.i686 0:0.1.2-3.el6 will be installed
---> Package libvpx.i686 0:0.9.0-8.el6_0 will be updated
--> Processing Dependency: libvpx.so.0 for package: gstreamer-plugins-bad-free-0.10.19-2.el6.i686
---> Package libvpx.i686 0:1.0.0-2.1.el6 will be an update
---> Package libx264_118.i686 0:0.118-17_20111111.2245.el6 will be installed
---> Package libxavs1.i686 0:0.1.51-2.el6 will be installed
---> Package libxvidcore.i686 0:1.3.2-1.el6 will be installed
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libvdpau.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmplex2-2.0.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmms.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libmjpegutils-2.0.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: liblrdf.so.2 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libfaac.so.0 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libcdaudio.so.1 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libamrwb.so.3 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package gstreamer-plugins-bad-free.i686 0:0.10.19-2.el6 will be obsoleted
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package libamrwb.i686 0:7.0.0.4-3.el6 will be installed
---> Package libcdaudio.i686 0:0.99.12p2-14.el6 will be installed
---> Package libfaac.i686 0:1.28-3.el6 will be installed
---> Package liblrdf.i686 0:0.5.0-2.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: libraptor2.so.0 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: ladspa for package: liblrdf-0.5.0-2.el6.i686
---> Package libmms.i686 0:0.6.2-4.el6 will be installed
---> Package libvdpau1.i686 0:0.4.1-4.el6 will be installed
---> Package mjpegtools.i686 1:2.0.0-21.el6 will be installed
--> Processing Dependency: libquicktime.so.0 for package: 1:mjpegtools-2.0.0-21.el6.i686
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Running transaction check
---> Package gstreamer-plugins-bad.i686 0:0.10.19-9.el6 will be obsoleting
--> Processing Dependency: libmusicbrainz.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: gstreamer-plugins-bad-0.10.19-9.el6.i686
---> Package liblrdf.i686 0:0.5.0-2.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: liblrdf-0.5.0-2.el6.i686
--> Processing Dependency: ladspa for package: liblrdf-0.5.0-2.el6.i686
---> Package libquicktime.i686 0:1.2.4-5.el6 will be installed
---> Package libraptor2.i686 0:2.0.7-3.el6 will be installed
--> Processing Dependency: libyajl.so.1 for package: libraptor2-2.0.7-3.el6.i686
---> Package vlc.i686 0:2.0.2-0.1.pre20120514git.el6 will be installed
--> Processing Dependency: libminizip.so.1 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdvdread.so.4 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Processing Dependency: libdc1394.so.22 for package: vlc-2.0.2-0.1.pre20120514git.el6.i686
--> Finished Dependency Resolution
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libmusicbrainz.so.4
Error: Package: libraptor2-2.0.7-3.el6.i686 (linuxtech-release)
Requires: libyajl.so.1
Error: Package: vlc-2.0.2-0.1.pre20120514git.el6.i686 (linuxtech-release)
Requires: libavcodec.so.52(LIBAVCODEC_52)
Available: ffmpeg-libs-0.6.5-2.el6.i686 (linuxtech-release)
libavcodec.so.52(LIBAVCODEC_52)
Available: libavcodec52-0.5.8-36.el6.i686 (atrpms)
libavcodec.so.52(LIBAVCODEC_52)
Available: libavcodec52-0.6.5-46.el6.i686 (atrpms)
libavcodec.so.52(LIBAVCODEC_52)
Available: libavcodec52-0.7.11-52.el6.i686 (atrpms)
libavcodec.so.52(LIBAVCODEC_52)
Error: Package: liblrdf-0.5.0-2.el6.i686 (linuxtech-release)
Requires: ladspa
Error: Package: liblrdf-0.5.0-2.el6.i686 (linuxtech-release)
Requires: libyajl.so.1
Error: Package: vlc-2.0.2-0.1.pre20120514git.el6.i686 (linuxtech-release)
Requires: libdvdread.so.4
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libdvdread.so.4
Error: Package: vlc-2.0.2-0.1.pre20120514git.el6.i686 (linuxtech-release)
Requires: libminizip.so.1
Error: Package: vlc-2.0.2-0.1.pre20120514git.el6.i686 (linuxtech-release)
Requires: libdc1394.so.22
Error: Package: vlc-2.0.2-0.1.pre20120514git.el6.i686 (linuxtech-release)
Requires: libavcodec.so.52
Available: ffmpeg-libs-0.6.5-2.el6.i686 (linuxtech-release)
libavcodec.so.52
Available: libavcodec52-0.5.8-36.el6.i686 (atrpms)
libavcodec.so.52
Available: libavcodec52-0.6.5-46.el6.i686 (atrpms)
libavcodec.so.52
Available: libavcodec52-0.7.11-52.el6.i686 (atrpms)
libavcodec.so.52
Error: Package: gstreamer-plugins-bad-0.10.19-9.el6.i686 (linuxtech-release)
Requires: libdc1394.so.22
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
Çıkıyor ve kurulmuyor.
Yardım edin.

Teşekkürler.
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 23-05-12, 20:25 #58
Kıvanç Kıvanç çevrimdışı
Varsayılan C: Linux İçin Bilinen Hatalar/Soru-Sorunlar/Çözümler/Deneyimleriniz.. Bu konuya.

- Biraz araştırdım sanırım paketlerinizde eksiklikler var. Şimdi bir sürü error vermiş ki bunun sebebi onların yüklü olmamasından bu siteye bir bakın. Arama da yapabilirsiniz oradan download edip yükleyin ondan sonra update'i tekrar deneyin.

Mesajı son düzenleyen Kıvanç ( 17-02-13 - 18:47 )
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 23-05-12, 20:32 #59
sallaswe sallaswe çevrimdışı
Varsayılan C: Linux İçin Bilinen Hatalar/Soru-Sorunlar/Çözümler/Deneyimleriniz.. Bu konuya.

Teşekkürler.
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Eski 23-05-12, 20:42 #60
sallaswe sallaswe çevrimdışı
Varsayılan C: Linux İçin Bilinen Hatalar/Soru-Sorunlar/Çözümler/Deneyimleriniz.. Bu konuya.

Alıntı:
Gerçek Mesajı Gönderen Kıvanç Mesajı Göster
Biraz araştırdım sanırım paketlerinizde eksiklikler var. Şimdi bir sürü error vermiş ki bunun sebebi onların yüklü olmamasından bu siteye bir bakın. Arama da yapabilirsiniz oradan download edip yükleyin ondan sonra update'i tekrar deneyin.
İndirdim Kurmaya Çalışırken
Alıntı:
uyarı: kullanıcı packager yok - root kullanılacak
uyarı: grup packager yok - root kullanılacak
uyarı: kullanıcı packager yok - root kullanılacak
uyarı: grup packager yok - root kullanılacak
çıkıyor.
  Alıntı Yaparak CevaplaAlıntı Yaparak Cevapla
Cevapla

Bu konunun kısa yolunu aşağıdaki sitelere ekleyebilirsiniz

Taglar
bea :d, forumtr, frmtr, hangi linux, harbi, işletim, linux, linux frmtr, pardus, sistemi, ubuntu, ubuntu 12.04 lts

Konu Araçları

Gönderme Kuralları
Yeni konu açamazsınız
Cevap yazamazsınız
Dosya gönderemezsiniz
Mesajlarınızı düzenleyemezsiniz

BB code is Açık
Smiley Açık
[IMG] kodu Açık
HTML kodu Kapalı



Tüm saatler GMT +3. Şuan saat: 18:36
(Türkiye için artık GMT +3 seçilmelidir.)

 
5651 sayılı yasaya göre forumumuzdaki mesajlardan doğabilecek her türlü sorumluluk yazan kullanıcılara aittir. Şikayet Mailimiz. İçerik, Yer Sağlayıcı Bilgilerimiz. Reklam Mailimiz. Gizlilik Politikası. Tatil
Copyright © 2018